Bug 108938 - Maximize Vertically on Dual Head Matox G400 Xinerama is Broken
Maximize Vertically on Dual Head Matox G400 Xinerama is Broken
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: metacity (Show other bugs)
9
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-03 11:03 EST by Harvey Wamboldt
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-09 23:38:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harvey Wamboldt 2003-11-03 11:03:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)
Gecko/20030225

Description of problem:
I work with text a lot. Maximize vertically is *important* in my
environment.  Toggle vertially would be prefered, but I can't find a
way to do that :(

Problem: I've bound "Maximize vertically" to a shortcut key. On left
monitor "Maximize vertically" works fine, on right monitor "Maximize
vertically" zooms to size of entire screen (normal maximize). Clicking
the "Maximize" icon on the window causes window to resize to "Maximize
Vertial" state.

Version-Release number of selected component (if applicable):
metacity-2.4.34-3 (I think)

How reproducible:
Always

Steps to Reproduce:
1.Preferences->Keyboard Shortcuts->Window Management->Maximize window
vertically, bound to <Mod4>Up (Windows Up)
2.Open xterm, move to left monitor
3.<Mod4>Up, click maximize icon
    

Actual Results:  Window maximized to entire screen on <Mod4)Up then
reverted to maximized vertially state on clicking maximize icon.

Expected Results:  Window should have maximized vertially on <Mod4>Up
then maximized to entire screen on clicking maximize icon.

Additional info:
Comment 1 Havoc Pennington 2004-05-25 15:20:57 EDT
Please reopen if still present in Fedora Core 2.
Comment 2 Harvey Wamboldt 2004-05-25 17:15:59 EDT
I'll check for the bug when the machine is updated
to Fedora.  I don't know when that will happen.

Rgds,

-H-
Comment 3 Havoc Pennington 2004-11-09 23:38:40 EST
The relevant code is completely different now from RHL9, and no other
reports here or at gnome.org, so will assume this is gone. I don't
have the right Xinerama setup readily available to test.

Note You need to log in before you can comment on or make changes to this bug.